# [START django_app]
runtime: python39
entrypoint: gunicorn -b :$PORT paclab_hitms.wsgi

handlers:
  # This configures Google App Engine to serve the files in the app's static
  # directory.
  - url: /static
    static_dir: static_cdn
  # This handler routes all requests not caught above to your main app. It is
  # required when static routes are defined, but can be omitted (along with
  # the entire handlers section) when there are no static files defined.
  - url: /.*
    script: auto

instance_class: F1
automatic_scaling:
  min_idle_instances: automatic
  max_idle_instances: 1 # default value
  min_pending_latency: automatic # default value
  max_pending_latency: 0.030s
  max_instances: 1
